package ch.zhaw.catan;

/**
 * Abstract Super Class of Settlement and Road.
 * @author Michael Ziegler
 */
public abstract class Structure {
    private final Config.Faction faction;

    /**
     *
     * @param faction
     */
    public Structure(Config.Faction faction) {
        this.faction = faction;
    }

    /**
     *
     * @return String of the Structure
     */
    public String toString() {
        return faction.toString();
    }

    /**
     * Method to
     *
     * @return faction of the structure
     */
    public Config.Faction getFaction() {
        return faction;
    }
}
